<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>برچسب پستی</title>
    <style>
        /* Hide page header and footer when printing page */
        @page {
            size: auto;
            margin: 0;
        }

        /* Show background color when printing */
        @media print {
            body {
                -webkit-print-color-adjust: exact;
            }
        }

        /* Avoid extra blank page at end while printing */
        @media print {
            html, body {
                height: 99%;
                page-break-after: avoid;
                page-break-before: avoid;
            }
        }

        ##font-face##

        html, body {
            height: 100%;
        }

        body {
            margin: ##margin##px;
            padding: 0;
            font-size: ##font-size##px;
            font-family: ##font-family##Tahoma, sans-serif;
            line-height: 28px;
            direction: rtl;
            color: #000000;
        }

        .wip-post-label {
            padding: 30px;
        }

        bdi {
            direction: ltr;
        }

        p {
            margin: 7px 0;
            font-size: ##font-size##px;
            line-height: 28px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            table-layout: fixed;
        }

        td {
            vertical-align: middle;
            padding: 7px 15px;
            text-align: right;
            border: 1px solid #666666;
        }

        caption, strong {
            font-weight: bold;
        }
        
        .order-date {
            display: inline-block;
            float: left;
        }

        .post-logo {
            margin-top: 15px;
            padding: 15px;
            border: 2px solid #666666;
        }

        .icon  {
            margin-left: 7px;
            position: relative;
            top: 6px;
        }

        .barcode {
            display: inline-block;
        }

        .print {
            text-align: center;
            padding: 20px 0;
        }

        .print button {
            background: #e67e22;
            border: none;
            padding: 5px 15px;
            border-radius: 3px;
            color: #ffffff;
            cursor: pointer;
            font-family: ##font-family##Tahoma, sans-serif;
        }

        @media print {
            .print {
                display: none;
            }
        }
    </style>
</head>
<body>
<div class="wip-post-label">
    <table>
        <tbody>
        <tr>
            <td colspan="3">
                <p><strong>فرستنده:</strong> ##store-title## - ##store-address##</p>
                <p><span>##store-postcode##</span>&nbsp;&nbsp;&nbsp;&nbsp;<span>##store-phone##</span></p>
            </td>
        </tr>
        <tr>
            <td colspan="2">##customer-phone## <span class="order-date">##order-date##</span></td>
            <td rowspan="4" style="text-align: center;">
                <div>##store-logo##</div>
                <bdi>##store-url##</bdi>
                <div class="post-logo"><img src="<?php echo WIP_IMG_URL; ?>post.png" alt=""></div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <p><strong>گیرنده:</strong> ##customer-address##</p>
            </td>
        </tr>
        <tr>
            <td><img class="icon" src="<?php echo WIP_IMG_URL; ?>delivery.png" alt="">##shipping-method##</td>
            <td><img class="icon" src="<?php echo WIP_IMG_URL; ?>dollar-symbol.png" alt="">##payment-method##</td>
        </tr>
        <tr>
            <td><img class="icon" src="<?php echo WIP_IMG_URL; ?>blank-file.png" alt=""><strong>شماره سفارش:</strong> ##invoice-number##</td>
            <td><img class="icon" src="<?php echo WIP_IMG_URL; ?>clock.png" alt=""><strong>تاریخ ارسال:</strong> <bdi>##invoice-date##</bdi></td>
        </tr>
        </tbody>
        <tfoot>
        <tr>
            <td colspan="3" style="text-align: center;">
                <div class="barcode">##barcode##</div>
            </td>
        </tr>
        </tfoot>
    </table>
</div>
<p class="print">
    <button onclick="window.print()">چاپ برگه</button>
</p>
</body>
</html>